Package org.jfree.report.modules.gui.swing.common.localization

# Interface LocalizedAction

All Superinterfaces:
  `Action`, `ActionListener`, `EventListener`

public interface LocalizedAction extends Action
Creation-Date: 30.11.2006, 13:09:37

Author:
  Thomas Morgner

## Field Summary

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Method Summary

Modifier and Type
Method
Description
`void`
`update(Locale locale)`

### Methods inherited from interface javax.swing.Action

`accept, addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from interface java.awt.event.ActionListener

`actionPerformed`

## Method Details

### update

void update(Locale locale)